Subject: pkg/31372: graphics/py-matplotlib doesn't build with pkg_comp
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 09/22/2005 20:24:00
>Number:         31372
>Category:       pkg
>Synopsis:       graphics/py-matplotlib wants a display
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Sep 22 20:24:00 +0000 2005
>Originator:     MLH
>Release:        NetBSD 2.0_STABLE
System: NetBSD 2.0_STABLE NetBSD 2.0_STABLE (GENERIC.MP) #1: Tue
Aug 23 12:02:29 CDT 2005 i386
Architecture: i386
Machine: i386
===> Building for py24-matplotlib-0.80
(cd /pkg_comp/obj/pkgsrc/graphics/py-matplotlib/default/matplotlib-0.80/ && /usr/bin/env USETOOLS=no PTHREAD_CFLAGS=\ -pthread\  PTHREAD_LDFLAGS=\ -pthread PTHREAD_LIBS= PTHREADBASE=/usr DL_CFLAGS=" -pthread " DL_LDFLAGS=" -pthread" DL_LIBS="" CC=cc
INSTALL_INFO=/pkg_comp/obj/pkgsrc/graphics/py-matplotlib/default/.tools/bin/install-info MAKEINFO=/pkg_comp/obj/pkgsrc/graphics/py-matplotlib/default/.tools/bin/makeinfo PKG_CONFIG= PKG_CONFIG_LIBDIR=/pkg_comp/obj/pkgsrc/graphics/py-matplotlib/default/.buildlink/lib/pkgconfig WRAPPER_DEBUG="yes" WRAPPER_UPDATE_CACHE="yes" VIEWBASE=/usr/pkg /usr/pkg/bin/python2.4 build )
X11 connection rejected because of wrong authentication.
The application '' lost its connection to the display localhost:10.0;
most likely the X server was shut down or you killed/destroyed
the application.
*** Error code 1

make: stopped in /usr/pkgsrc
Try building graphics/py-matplotlib inside of pkg_comp